--called at the start of a game, makes the objects in question
function initHost()

	terrain.vars.init("cutnum", math.random(1, 2))
	
	if math.random(1, 20) == 1 then terrain.vars.set("cutnum", 9) end
	
	for i = 1, (terrain.vars.get("cutnum")) do
	
		--radomize placement of the fish
		ax = terrain.x + math.random(0, terrain.wid)
		ay = terrain.y + math.random(0, terrain.het)
		
		--create the fish
		stage.createShip("Biscuitfish", "null", ax, ay, 4)
		ship.scale = 1 + ((math.random() -.5) / 3)
		
		for mini = 1, math.random(2, 6) do
			stage.createShip("Polyp", "null", ax+math.random(-300,300), ay+math.random(-300,300), 4)
			ship.scale = 1 + ((math.random() -.5) / 5)
		end
	end

		
	terrain.callWithin = 0--skip calling the within function
	terrain.callUpdate = 0--skip calling the update function
	
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 20	--from map_icons.png, which frame to use.
	icon.color = 4	--brown
	return 0
end